GPG fails to encrypt

Peter Pentchev roam at ringlet.net
Thu Nov 1 09:54:31 CET 2007


On Tue, Oct 30, 2007 at 04:04:58PM -0700, William Bradshaw wrote:
> When calling the GPG command from within a Vitria Businessware automator
> process, files larger than 20MB fail to encrypt.  Files smaller than
> 20MB encrypt just fine.  If I run the GPG command outside of the Vitria
> Businessware process the large (20MB plus) files encrypt just fine.  The
> GPG command being called by Vitria is:
> 
> /usr/local/bin/gpg --always-trust -e -r "FFFFF"
> /vitria/bw3dev1/encrypt/FSA/$FSA.560167.$FHP.cere07110938.txt.01102007_11-13-08

Try getting an actual error message - that should help point to an
actual problem :)

There are several ways you could look for an error message, and most of
them involve writing a simple shell script wrapper for gpg and having
Vitria invoke the script instead of the gpg binary itself.  Maybe
something like the following could help (and yes, I'm aware of all the
security problems within - predictable filenames, file/directory
permissions and stuff):

#!/bin/sh

set -e

GNUPG='/usr/local/bin/gpg'
OUTDIR='/tmp/gpg'
STDOUT="$OUTDIR/out.$$"
STDERR="$OUTDIR/err.$$"

$GNUPG "$@" > "$STDOUT" 2>"$STDERR"
errcode="$?"
echo "The GnuPG process's exit code is $errcode" >> "$STDERR"
exit "$errcode"

To use it, create a directory /tmp/gpg writeable by the user that Vitria
should run as, then make Vitria execute it instead of the actual gpg
binary.  As a result, each time Vitria tries to run GnuPG, you'll get
two files in the /tmp/gpg directory containing the data that gpg sent to
its standard output and its standard error streams, and the exit code.

If this does not help a whole lot, you could put an strace or ltrace or
something like that in the script for further information gathering.

Hope that helps!

G'luck,
Peter

-- 
Peter Pentchev	roam at ringlet.net    roam at cnsys.bg    roam at FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
What would this sentence be like if pi were 3?
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 187 bytes
Desc: not available
Url : /pipermail/attachments/20071101/c841c8de/attachment.pgp 


More information about the Gnupg-users mailing list